Security
oauth2(Required scopes: note:create) or bearerAuth or apiKeyHeader
Specifies the nature of a Note
Default:"generic"
Enum:"generic""escalationCreateReason""escalationUpdateReason""escalationCancelReason"
Specify that this note should be sorted to the top of the list by default.
Default:false
POST
- oauth2
- bearerAuth
- apiKeyHeader
curl -i -X POST \
'https://sandboxapi.peach.finance/api/interactions/{interactionId}/notes' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"archived": false,
"category": "generic",
"content": "string",
"important": false,
"pinned": false,
"sensitiveData": false,
"status": "active",
"taskableInstruction": false
}'Success
Response
{ "message": "string", "status": 0, "data": { "createdAt": "2019-08-24T14:15:22Z", "deletedAt": "2019-08-24T14:15:22Z", "id": "string", "updatedAt": "2019-08-24T14:15:22Z", "archived": false, "archivedAt": "2019-08-24T14:15:22Z", "archivedBy": { … }, "caseId": "string", "category": "generic", "content": "string", "createdBy": { … }, "deletedBy": { … }, "edited": false, "important": false, "interactionId": "string", "object": "note", "oldContent": [], "pinned": false, "sensitiveData": false, "status": "active", "supercaseId": "string", "taskableInstruction": false, "type": "borrowerNote", "updatedBy": { … } } }